# rivanna dotfiles

This is a repo containing dotfiles and init scripts for 
setting up Rivanna (the UVA HPC cluster).

[about rivanna](https://arcs.virginia.edu/rivanna)

[getting started](https://arcs.virginia.edu/getting-started)



## Deployment

Before you begin, you need an account on the UVA HPC system
and you need to connect to the UVA network using VPN.

When you first log in you will have a barebones prompt.

This script will:
* Set up and install dotfiles
* Set the prompt
* Install pyenv
* Install conda

## Procedure

Start by cloning the repository:

```
git clone https://git.charlesreid1.com/dotfiles/rivanna.git rivanna
cd rivanna
```

Now run the user init script, which will install the dotfiles,
set up pyenv, and perform all other remaining tasks:

```
$PWD/tasks_user/user_init.sh
```

## Using the Dotfiles

The dotfiles are installed for the regular user on  the yeti node.
These dotfiles make it easy to define an environment, either for 
all users (by changing the dotfiles in the repo) or for an individual
user (using site-specific dotfiles).

The `$PATH` is set in `.bash_profile`

The prompt is set in `.bash_prompt`

The aliases are set in `.aliases`

To set your own aliases, source your own dotfiles, or otherwise
insert steps into the dotfiles initialization process, use 
the `~/.extras` file.

To set your git credentials, add the following to the `~/.extras` file:

```
# Git credentials
# Not in the repository
# This prevents people from using incorrect github credentials
GIT_AUTHOR_NAME="<<< your name here >>>"
GIT_AUTHOR_EMAIL="<<< your email here >>>"

GIT_COMMITTER_NAME="$GIT_AUTHOR_NAME"
GIT_COMMITTER_EMAIL="$GIT_AUTHOR_EMAIL"

git config --global user.name "$GIT_AUTHOR_NAME"
git config --global user.email "$GIT_AUTHOR_EMAIL"
```

To make commits to repos on Github, the public key from your machine
should be added to your list of trusted Github public keys, on the 
settings page of your Github account.

