# Rivanna queue system

https://arcs.virginia.edu/slurm

rivanna uses slurm for job management.
jobs are submitted using job scripts.

```
#!/bin/bash
#
#SBATCH --time=12:00:00
#SBATCH -A myaccount

module load gcc/7.1.0
./mycode
```

Other options:

* `-N` number of nodes
* `-n` number of tasks
* `--mem` memory per task
* `-p` partition
* `-A` account

Exporting variables:

* with current value:

```
#SBATCH --export=var1, var2, var3
```

* with specific value:

```
#SBATCH --export=variable1=value1,variable2=value2
```

Stdout and Stderr:

* To redirect stdout:

```
#SBATCH -o <outfile> or --output=<outfile>
```

* To redirect stderr:

```
#SBATCH -e <errfile> or --error=<errfile>
```



